store-printer-profiles-delete-one¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25334823297Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
asyncLambda:
jef-store-delete-51
Endpoint¶
API Name:
jef-storeAction Name:
deleteMethod:
DELETEScope Label:
AsyncResource Path:
/store-printer-profiles-delete-oneComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-printer-profiles-delete-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-delete-51curl payload mode:
json_body
API Gateway Description¶
Function: jef-store-delete-51
Module: jef-store
Action: delete
Method: DELETE
Invocation Mode: ASYNC
Resource Path: /store-printer-profiles-delete-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-store-printer-profiles
Payload Example:
- pk: printer-profile-1001-0001
Payload Schema:
- pk: printer_profile_id
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "printer-profile-1001-0001"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X DELETE "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-printer-profiles-delete-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"printer-profile-1001-0001\"}"
PowerShell curl¶
curl.exe -X DELETE "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-printer-profiles-delete-one" -H "Content-Type: application/json" --data-raw '{"pk": "printer-profile-1001-0001"}'